KDE 4.2 PyKDE API Reference

- KDE's Python API

# KColorMimeData Namespace Reference

`from PyKDE4.kdeui.KColorMimeData import *`

## Detailed Description

Drag-and-drop and clipboard mimedata manipulation for QColor objects. The according MIME type is set to application/x-color.

See the Qt drag'n'drop documentation.

## Functions

bool | canDecode (QMimeData mimeData)
QDrag | createDrag (QColor color, QWidget dragsource)
QColor | fromMimeData (QMimeData mimeData)
| populateMimeData (QMimeData mimeData, QColor color)

## Function Documentation

bool canDecode | ( | QMimeData | mimeData
| ) |  |  |

Returns true if the MIME data mimeData contains a color object. First checks for application/x-color and if that fails, for a text/plain entry, which represents a color in the format \#hexnumbers

QDrag createDrag | ( | QColor | color,
|  | QWidget | dragsource
| ) |  |  |

Creates a color drag object. Either you have to start this drag or delete it The drag object's mime data has the application/x-color and text/plain type set and a pixmap filled with the specified color, which is going to be displayed next to the mouse cursor

QColor fromMimeData | ( | QMimeData | mimeData
| ) |  |  |

Decodes the MIME data mimeData and returns the resulting color. First tries application/x-color and if that fails, a text/plain entry, which represents a color in the format \#hexnumbers. If this fails too, an invalid QColor object is returned, use QColor.isValid() to test it.

populateMimeData | ( | QMimeData | mimeData,
|  | QColor | color
| ) |  |  |

Sets the color and text representation fields for the specified color in the mimedata object: application/x-color and text/plain types are set